Bug 1282189 - The speedtest-cli package for Fedora doesn't support python3 while upstream does
The speedtest-cli package for Fedora doesn't support python3 while upstream does
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: speedtest-cli (Show other bugs)
23
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Matías Kreder
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-15 06:49 EST by dperson
Modified: 2015-12-10 20:51 EST (History)
1 user (show)

See Also:
Fixed In Version: speedtest-cli-0.3.2-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-10 20:51:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Updated version of the spec file (1.76 KB, text/plain)
2015-11-16 08:37 EST, dperson
no flags Details

  None (edit)
Description dperson 2015-11-15 06:49:52 EST
Description of problem:
Upstream (https://github.com/sivel/speedtest-cli) claims support of python 3.4, but the current package depends on python v2.

Version-Release number of selected component (if applicable):
0.3.1

How reproducible:
100%

Steps to Reproduce:
1. Install the package: sudo dnf install speedtest-cli
2. It will require python
3. There is no step 3 =)

Actual results:
The python (not base python3) package is a dependency.

Expected results:
The default installed python3 to provide python for the package.

Additional info:
Comment 1 dperson 2015-11-16 08:37 EST
Created attachment 1094876 [details]
Updated version of the spec file
Comment 2 dperson 2015-11-16 08:39:45 EST
I'm not 100% but think that the attached version of the spec file should allow the build to work with the OS default python 2 or 3. Thank you.

--- Downloads/speedtest-cli.spec.orig	2015-11-16 08:09:25.331950083 -0500
+++ Downloads/speedtest-cli.spec	2015-11-16 08:31:49.998557441 -0500
@@ -1,16 +1,23 @@
 Name: speedtest-cli
 Version: 0.3.1
-Release: 2%{?dist}
+Release: 3%{?dist}
 Summary: Command line interface for testing internet bandwidth
 
 License: ASL 2.0 
 URL: https://github.com/sivel/speedtest-cli
 Source0: https://github.com/sivel/%{name}/archive/v%{version}.tar.gz
 
+%if 0%{?fedora} <= 22
 BuildRequires: python2-devel
 BuildRequires: python-setuptools
 Requires: python
 Requires: python-setuptools
+%else
+BuildRequires: python3-devel
+BuildRequires: python3-setuptools
+Requires: python3
+Requires: python3-setuptools
+%endif
 BuildArch: noarch
 
 %description
@@ -21,26 +28,33 @@
 sed -i -e '/^#!\//, 1d' *.py
 
 %build
-%{__python2} setup.py build
+%{__python} setup.py build
 
 %install
-%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
+%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
 gzip speedtest-cli.1
 mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
 install -p -m 644 speedtest-cli.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/speedtest-cli.1.gz
 rm -f $RPM_BUILD_ROOT%{_bindir}/speedtest
 
 %check
-%{__python2} setup.py test
+%{__python} setup.py test
 
 %files
 %{_bindir}/speedtest-cli
-%{python2_sitelib}/speedtest_cli.py*
+%{python_sitelib}/speedtest_cli.py*
+%if 0%{?fedora} <= 22
 %{python2_sitelib}/speedtest_cli-%{version}-py2.7.egg-info
+%else
+%{python3_sitelib}/speedtest_cli-%{version}-py3.4.egg-info
+%endif
 %{_mandir}/man1/speedtest-cli.1.gz
 %doc CONTRIBUTING.md  LICENSE  README.rst 
 
 %changelog
+* Mon Nov 16 2015 David Personette <dperson at, gmail.com> - 0.3.1-3
+- As upstream supports python3, try to add support to the spec file
+
 * Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
Comment 3 Fedora Update System 2015-11-18 09:32:17 EST
speedtest-cli-0.3.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b789bcb8b7
Comment 4 Fedora Update System 2015-11-19 10:26:30 EST
speedtest-cli-0.3.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update speedtest-cli'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b789bcb8b7
Comment 5 Fedora Update System 2015-11-19 11:55:06 EST
speedtest-cli-0.3.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update speedtest-cli'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b789bcb8b7
Comment 6 Fedora Update System 2015-12-10 20:51:32 EST
speedtest-cli-0.3.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.